Subject: Re: [bess] Late IPR disclosure on RFC7024 - Opinions ?

From: Benson Schliesser <[email-masked]>
Date: Thu, 23 Oct 2014 14:22:36 -0400

Hi, Martin -

Just to be clear, can you elaborate on what you see as the options here?

I could imagine some combination of choices: 1) keeping the status quo, 
acknowledging that the new IPR has been disclosed, and continuing to 
proceed with the document as-is, 2) changing status to something other 
than Proposed Standard, 3) revising the content (e.g. as a new RFC?) to 
avoid IPR issues that are objectionable, or 4) evaluating alternatives.

Are you also aware of any options for a punitive response? I'm not sure 
whether this would be against the inventors, company that owns the IPR, 
employees of that company that should have known about the IPR, etc. I'm 
also not sure what this punitive response would actually be. BCP 79 
doesn't seem to outline anything in this direction. But it seems clear 
to me that the recent trends in late IPR disclosure are a problem for 
the IETF.

Thanks for any feedback you can give.
-Benson

> Martin Vigoureux <mailto:[email-masked]>
> October 19, 2014 at 2:36 PM
> Working Group,
>
> we've received couple months ago an extremely late IPR disclosure 
> (much later than what can be expected as per rules in BCP79) against 
> RFC 7024:
>
> https://datatracker.ietf.org/ipr/2415/
>
> Please take a careful look at the licensing declaration and let us 
> know whether this is subject to question RFC 7024 (both in its content 
> and/or status).
>
> Thank you
>
> M&T
>

---

From: Robert Raszuk <[email-masked]>
Date: Thu, 23 Oct 2014 21:22:35 +0200

Looking at this I am not sure what the problem is ?

If I am not mistaken none of the RFC7024 authors are associated with the
IPR disclosure neither are even listed in the ack section.

Chairs normally ask only authors for IPR statement.

Anyone can patent anything and this is even patent outside of US.

In any case to see the details one should examine what exactly has been
patented in 2003. Quick patent search around 2003 with the same authors
reveals a few patents for "hub-and-spoke for virtual private networks".

But let's observe that the above is technically slightly different then
"virtual hub and spoke idea" which perhaps some legal skilled folks may not
be able to easily grasp ;-)

Best,
r.

On Thu, Oct 23, 2014 at 8:22 PM, Benson Schliesser <[email-masked]>
wrote:

> proceed with the document as-is, 2) changing status to something other than
> Proposed Standard, 3) revising the content (e.g. as a new RFC?) to avoid
> IPR issues that are objectionable, or 4) evaluating alternatives.
>
> also not sure what this punitive response would actually be. BCP 79 doesn't
> seem to outline anything in this direction. But it seems clear to me that
> the recent trends in late IPR disclosure are a problem for the IETF.
>
>   Martin Vigoureux <[email-masked]>
> we've received couple months ago an extremely late IPR disclosure (much
> later than what can be expected as per rules in BCP79) against RFC 7024:
>
> Please take a careful look at the licensing declaration and let us know
> whether this is subject to question RFC 7024 (both in its content and/or
> status).
>
> Thank you
>
> M&T
>
>

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 23 Oct 2014 15:37:21 -0400

> On Oct 23, 2014:3:22 PM, at 3:22 PM, Robert Raszuk <[email-masked]> wrote:
> 
> 
> If I am not mistaken none of the RFC7024 authors are associated with the IPR disclosure neither are even listed in the ack section. 
> 

	Chairs poll the authors and the WG.  Anyone attending the meetings, or otherwise “participating” is bound by the Note Well rules.

> In any case to see the details one should examine what exactly has been patented in 2003. Quick patent search around 2003 with the same authors reveals a few patents for "hub-and-spoke for virtual private networks". 
> 
> But let's observe that the above is technically slightly different then "virtual hub and spoke idea" which perhaps some legal skilled folks may not be able to easily grasp ;-)

	It is ill advised and strongly discouraged to discuss details of IPR on the IETF mailing lists. 

	—Tom

> 
> Best,
> r.
> 
> 
> On Thu, Oct 23, 2014 at 8:22 PM, Benson Schliesser <[email-masked] <mailto:[email-masked]>> wrote:
> Hi, Martin -
> 
> I could imagine some combination of choices: 1) keeping the status quo, acknowledging that the new IPR has been disclosed, and continuing to proceed with the document as-is, 2) changing status to something other than Proposed Standard, 3) revising the content (e.g. as a new RFC?) to avoid IPR issues that are objectionable, or 4) evaluating alternatives.
> 
> Are you also aware of any options for a punitive response? I'm not sure whether this would be against the inventors, company that owns the IPR, employees of that company that should have known about the IPR, etc. I'm also not sure what this punitive response would actually be. BCP 79 doesn't seem to outline anything in this direction. But it seems clear to me that the recent trends in late IPR disclosure are a problem for the IETF.
> 
>> 	Martin Vigoureux <mailto:[email-masked]>	October 19, 2014 at 2:36 PM
>> Working Group, 
>> 
>> we've received couple months ago an extremely late IPR disclosure (much later than what can be expected as per rules in BCP79) against RFC 7024: 
>> 
>> https://datatracker.ietf.org/ipr/2415/ <https://datatracker.ietf.org/ipr/2415/> 
>> 
>> Please take a careful look at the licensing declaration and let us know whether this is subject to question RFC 7024 (both in its content and/or status). 
>> 
>> Thank you 
>> 
>> M&T 
>> 
>

---

From: Martin Vigoureux <[email-masked]>
Date: Thu, 23 Oct 2014 23:56:41 +0200

Hi Benson,

I would say that 1 to 4 are valid options, but it shall be the WG 
deciding the way forward.

Also, as Chairs, we can think of a variety of punitive responses, 
speaking in the general case, but these shall only concern individuals.

-m

---

From: Martin Vigoureux <[email-masked]>
Date: Fri, 24 Oct 2014 00:00:40 +0200

Robert

> Chairs normally ask only authors for IPR statement.

I do not believe this is the norm.
IETF IPR policies concern a broader set of people than "authors".

-m

---

From: Robert Raszuk <[email-masked]>
Date: Fri, 24 Oct 2014 00:08:28 +0200

Ok .. I only based that statement on few recent requests from chairs asking
explicitely only authors to state the IPR knowledge of their docs.

To Tom's point if this is "ill advised and strongly discouraged" to talk
about IPR on the lists what is this thread all about then ? Why it has been
even started ? To blindly say yes or no to content of the IPR disclousure
no one posseses any knowledge of ?

r.

---

From: Benson Schliesser <[email-masked]>
Date: Thu, 23 Oct 2014 21:26:11 -0400

Thanks, Martin.

Your response makes sense.

In particular, I agree that focusing on individuals is in-line with the 
spirit of the IETF. Unfortunately that might be a structural weakness - 
perhaps even an attack vector - in this context. This comment 
notwithstanding, it probably isn't appropriate for a WG to explore this 
issue in isolation, but rather a topic for broader IETF discussion 
including the IESG, IAB, etc.

As for the more concrete options 1 to 4 that I described, my personal 
choice would be #1. My rationale has to do with IPR issues that aren't 
appropriate for discussion on an IETF list.

Cheers,
-Benson

> October 23, 2014 at 5:56 PM
> Hi Benson,
>
> Benson Schliesser <mailto:[email-masked]>
> October 23, 2014 at 2:22 PM
> Hi, Martin -
>
> I could imagine some combination of choices: 1) keeping the status 
> quo, acknowledging that the new IPR has been disclosed, and continuing 
> to proceed with the document as-is, 2) changing status to something 
> other than Proposed Standard, 3) revising the content (e.g. as a new 
> RFC?) to avoid IPR issues that are objectionable, or 4) evaluating 
> alternatives.
>
> Are you also aware of any options for a punitive response? I'm not 
> sure whether this would be against the inventors, company that owns 
> the IPR, employees of that company that should have known about the 
> IPR, etc. I'm also not sure what this punitive response would actually 
> be. BCP 79 doesn't seem to outline anything in this direction. But it 
> seems clear to me that the recent trends in late IPR disclosure are a 
> problem for the IETF.
>

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Fri, 24 Oct 2014 08:13:43 -0400

> On Oct 23, 2014:6:08 PM, at 6:08 PM, Robert Raszuk <[email-masked]> wrote:
> 
> 
> Ok .. I only based that statement on few recent requests from chairs asking explicitely only authors to state the IPR knowledge of their docs.
> 
> To Tom's point if this is "ill advised and strongly discouraged" to talk about IPR on the lists what is this thread all about then ? Why it has been even started ? To blindly say yes or no to content of the IPR disclousure no one posseses any knowledge of ? 

	Discussing the IPR policy itself is cool, but the specifics of particular patents has been discouraged. 

	—Tom

> 
> r.
> 
> 
> On Fri, Oct 24, 2014 at 12:00 AM, Martin Vigoureux <[email-masked] <mailto:[email-masked]>> wrote:
> Robert
>

---

From: Thomas Morin <[email-masked]>
Date: Mon, 27 Oct 2014 10:06:37 +0100

Hi Robert, everyone,

It is fully up to each individual to make sure that he/she complies with 
IETF IPR rules.

As we do in l3vpn/bess, some chairs take the additional steps of making 
sure authors did not forget to comply with these rules, through a 
reminder question.  Let's be clear that even without such a question, 
the rules still apply to everyone.

Note that the rules in RFC3979 may impose disclosure to all 
participants, including people not co-author of a draft.

The best is for everyone to read RFC3979.

-Thomas

---

From: Thomas Morin <[email-masked]>
Date: Mon, 27 Oct 2014 10:12:25 +0100

Hi Benson, all,

2014-10-23, Benson Schliesser:
> Are you also aware of any options for a punitive response?

You can read RFC6701.

> I'm not sure whether this would be against the inventors, company that 
> owns the IPR, employees of that company that should have known about 
> the IPR, etc.

Well, RFC3979 is focused on individuals rather than their employers...

-Thomas

---

From: Thomas Morin <[email-masked]>
Date: Mon, 27 Oct 2014 10:15:13 +0100

Hi Robert,

2014-10-23, Robert Raszuk:
>
> [...] this is even patent outside of US.

The fact that the patent subject of this IPR was made outside the US 
does not change how IETF IPR rules apply.

-Thomas